Subject: bug#68509: 30.0.50; pcase-dolist matches backquote pattern incorrectly

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Feb 2024 10:53:59 -0500

> * lisp/emacs-lisp/pcase.el (pcase-dolist): Use `pcase' rather than
> `pcase-let*' to match the list elements.  Update the docstring,

That changes its behavior.  It *will* break code.
This is basically not the same macro any more.  Instead of being a macro
that iterates over all the elements of the list, it becomes a macro
which iterates only over the matching elements.

        Stefan